FROM alpine:3.14
COPY data data
RUN apk --no-cache add curl bash && \
    curl https://raw.githubusercontent.com/birdayz/kaf/master/godownloader.sh | BINDIR=/bin bash
RUN curl https://raw.githubusercontent.com/vishnubob/wait-for-it/master/wait-for-it.sh> /usr/local/bin/wait-for-it && \
    chmod +x /usr/local/bin/wait-for-it

RUN kaf config add-cluster local -b kafka:9092 && \
    kaf config use-cluster local
